import { Component } from '@angular/core';
import { ToastrService } from 'ngx-toastr';
export interface DataModel {
  code: string
  tdesc: string
  edesc: string
  address: string
  contact: string
}
@Component({
  selector: 'app-company-registration-page',
  templateUrl: './company-registration-page.component.html',
  styleUrls: ['./company-registration-page.component.scss']
})
export class CompanyRegistrationPageComponent {
  currentPage = 1
  page = Array.from({ length: 1 }, (_, i) => i + 1);
  search = ""
  modalStatus = 'add'
  dataList: { check: boolean, data: DataModel }[] = [
    { check: false, data: { code: "CC-01", tdesc: "บริษัท มายเอชอาร์ จำกัด", edesc: "MYHR COMPANY LIMITED", address: "1", contact: "2" } },
  ]
  dataSelect: DataModel = { code: "", tdesc: "", edesc: "", address: "", contact: "" }

  constructor(private toastr: ToastrService) {
    this.searchChange()
  }

  searchChange() {
    this.currentPage = 1
    this.page = Array.from({ length: Math.ceil(this.dataListFilter().length / 10) }, (_, i) => i + 1);
  }
  dataListFilter() {
    return this.dataList.filter(x => {
      const data = x.data
      const match = data.code.includes(this.search) || data.tdesc.includes(this.search) || data.edesc.includes(this.search);
      return match;
    });
  }
  setData(data?: DataModel) {
    this.dataSelect = JSON.parse(JSON.stringify(data || { code: "", tdesc: "", edesc: "", address: "", contact: "" }));
  }
}
